Skip to main content
PUT
/
projects
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/projects/proj_abc123 \
  -d '{ "name": "My Subsidiary" }' \
  -u secret_abc123DEF456:
{
  "project": {
    "id": "<string>",
    "name": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "publicId": "<string>",
    "settings": {
      "statsEngine": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Body

application/json
name
string

Project name.

description
string

Project description.

publicId
string

URL-safe slug (lowercase letters, numbers, dashes).

settings
object

Project settings.

Response

200 - application/json

Success

project
object
required